<!DOCTYPE html>
<html>

<head>
    <title>To do List</title>
</head>
<style>
    .title{
        display: flex;
        justify-content: center;
    }
    header{
        width:48%;
        height: 100px;

    }
    .main {
        width: 100%;
        background-color: black;
        height: 200px;
        display: flex;
        justify-content: center;
     
    }

    .box-1 {
        width: 50%;
        height: 150px;
        background-color:black;
        display: flex;
        border: 5px solid grey;
        border-radius: 10px;
    }

    #entry {
        width: 70%;
        height: 80px;
        margin-left: 10px;
        margin-top: 20px;
        border-radius: 10px;
    }

    #add {
        width: 20%;
        height: 85px;
        margin-left: 30px;
        margin-top: 20px;
        border-radius: 10px;
    }

    .tasks {
        background-color: white;
        width: 50px;
        height: 400px;
    }

    .sub-main {
        width: 50%;
        height: 300px;
        margin-left: 25%;
        background-color:grey;
        border: 5px solid ;
        border-color:grey;
        border-radius: 10px;

    }

    body {
        background-color: black
    }

    ul {
        padding-left: 30px;
        padding-top: 20px;
    }
</style>

<body>
    <div class="title">
        <header>
            <h1 style="color: white; font-size: 50px; font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif; text-align: center;">To-Do List</h1>
        </header>
    </div>
    <div class="main">
        <div class="box-1">
            <input type="text" id="entry">
            <input type="button" id="add" value="Add Task" onclick="addtask()">
        </div>
    </div>
    <div class="sub-main" id="tasklist">
        <form>
            <ul id="demo"></ul>
        </form>
    </div>
    <script>
        function addtask() {
            let input = document.getElementById("entry").value;
            var ul = document.getElementById("demo");
            var li = document.createElement("li");
            if(input!="")
            {
            li.appendChild(document.createTextNode(input));
            ul.appendChild(li);
            }
            else
            {
                alert("Enter Task");
            }
        }
    </script>
</body>

</html>